Subject: Re: bug#23907: 24.5; tramp-use-ssh-controlmaster-options default value

From: Thierry Volpiatto <[email-masked]>
Date: Thu, 07 Jul 2016 13:03:16 +0200

Michael Albinus <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
> Hi Thierry,
>
>> Hi, I see that `tramp-use-ssh-controlmaster-options` is still set to
>> non-nil by default in emacs-25, for some reasons, this hang emacs when
>> loading tramp with most recents versions of ubuntu and linuxmint and I
>> have several bug reports about this in helm.
>>
>> What about disabling this by default ?
>
> Before going to this, I would like to understand what happens.

See https://github.com/emacs-helm/helm/issues/1000

However even if you see what is happening, don't you think such a check
should happen when tramp kickin and not when it is loading ?

IMHO it is not reasonable to make an ssh call when loading tramp.el or
whatever.

> Could you, please, ask helm users to set tramp-verbose to 6, and to
> send us the Tramp debug buffer?

Done, as soon as one send a debug buffer I will notify you here.
You can also followup here:

https://github.com/emacs-helm/helm/issues/1554

Thanks.

-- 
Thierry